commit 7f5677e87df575298f62320d76408823b54cd883
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 18 15:05:39 2022 -0800

    libXdmcp 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c01da8ebd0969efd15388ce999e121127cc46f67
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 4 19:29:35 2022 -0700

    Only link with libbsd if needed for arc4random_buf()
    
    Avoid unnecessary library dependency when using a libc with this
    function included
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e5ace1c5fe009e5c66fa16f886b13cce2558684a
Author: Guillem Jover <guillem@hadrons.org>
Date:   Thu Oct 6 00:31:30 2022 +0000

    Switch from libbsd to libbsd-overlay
    
    This is the preferred usage form for libbsd, as it makes the code more
    portable and requires no special includes for libbsd, by transparently
    injects the needed standard headers that would be used on a BSD.
    
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit b71d34f635d8827db76310a4b127a6926f2df1d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 6 14:51:50 2022 -0700

    XdmcpDisposeARRAYofARRAY8: Reduce scope of i
    
    As suggested by cppcheck
    Also makes it unsigned to match array->length (a CARD8)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eb10c58258c3d4e6d207c390282f7d329e63910a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 6 14:47:56 2022 -0700

    arc4random_buf: Only declare ret if HAVE_GETENTROPY is defined
    
    Clears unused variable warning from cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 07f93358ac7bc532b16ceff13bed356ac2a0c6f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 6 14:42:03 2022 -0700

    Use memcpy() instead of memmove() when buffers are known not to overlap
    
    This was introduced by a bcopy() -> memmove() substitution in 1993.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 185a91c6e7f7e40d916f0554df2aceb73509fd52
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 12:22:50 2022 -0700

    gitlab CI: enable doc builds in basic build test
    
    Also drops requirement for Signed-off-by in commit checks
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8570239e74569411dc8c470e687c9ca042746cb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 12:16:48 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e886976a3e3eeddcf7db894eec6aaa1d1a2548a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 12:13:58 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4a71fdf6d34df67d3f1335590da6ae3050128fb2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 23 13:09:09 2022 -0800

    Fix build on Solaris 11.3.0 - 11.3.8
    
    Solaris 11.3.0  added getentropy() to libc and <sys/random.h>
    Solaris 11.3.9  added arc4random() to libc and <stdlib.h>
    Solaris 11.4.16 added getentropy() to <stdlib.h>
    
    So when building on Solaris releases from 11.3.0 to 11.3.8, libXdmcp
    would not find arc4random(), and thus fallback to using getentropy(),
    but was only looking for it in <stdlib.h>, resulting in a build error:
    
    Key.c: In function ‘arc4random_buf’:
    Key.c:86:5: error: implicit declaration of function ‘getentropy’ [-Werror=implicit-function-declaration]
         ret = getentropy (auth, len);
         ^
    
    Reported-by: https://gnats.netbsd.org/cgi-bin/query-pr-single.pl?number=54628
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 13b72ec5540757ccbb62c4b31961a556ab77d005
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 23 12:50:41 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bc141f304712a109b6b518724e1feb66293bf472
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 12:38:45 2019 -0700

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 618b3ba5f826d930df2ca6a6a0ce212fa75cef42
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 09:19:02 2019 -0700

    libXdmcp 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d4c69183b9838c684c1bcedb4e6184301d2816f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:51:24 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6d1aee0310001eca8f6ded9814a2a70b3a774896
Author: Benjamin Tissoires <benjamin.tissoires@gmail.com>
Date:   Thu May 4 11:12:13 2017 +0200

    Fix compilation error when arc4random_buf is not available
    
    Not sure how I missed that, but I did.
    
    Also rename emulate_getrandom_buf() into insecure_getrandom_buf() as
    requested in the previous patch reviews.
    
    Last, getbits() expects an unsigned char, so remove the warning.
    
    Signed-off-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0554324ec6bbc2071f5d1f8ad211a1643e29eb1f
Author: Benjamin Tissoires <benjamin.tissoires@gmail.com>
Date:   Tue Apr 4 19:13:38 2017 +0200

    Use getentropy() if arc4random_buf() is not available
    
    This allows to fix CVE-2017-2625 on Linux platforms without pulling in
    libbsd.
    The libc getentropy() is available since glibc 2.25 but also on OpenBSD.
    For Linux, we need at least a v3.17 kernel. If the recommended
    arc4random_buf() function is not available, emulate it by first trying
    to use getentropy() on a supported glibc and kernel. If the call fails,
    fall back to the current (vulnerable) code.
    
    Signed-off-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f1bf902c52884e35d48f4d03915f019337f84717
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 34ac12e5eb93ba1c4685bd25f5d9a25288d2d89e
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3d813e1a45fb5d1b4b566c35218b9bcf0261b74a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 5021b93d68c499831ad65a2abf1bfb7e6ed2724f
Author: Helmut Grohne <helmut@subdivi.de>
Date:   Wed Nov 11 22:23:15 2015 +0100

    do not use &fullrelvers; in xdmcp.xml (Debian bug 761628)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b10f382e3aa2e86cd5a2bc27d6758da55f0ab1f6
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Sat Sep 13 20:28:38 2014 +0100

    Link with winsock library for socket functions on MinGW
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: David Macek <david.macek.0@gmail.com>

commit 0c09444d276fbf46a0e8b427a4f6a325d0625742
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 21 09:39:14 2015 -0700

    libXdmcp 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9f4cac7656b221ce2a8f97e7bd31e5e23126d001
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 17 10:37:09 2015 -0800

    Add AC_USE_SYSTEM_EXTENSIONS to expose arc4random() interfaces in headers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fe8eab93e9bcdbe8bb8052434bb5e676e3a0ee8f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da9a25b208035448867f97cd92f3aed4b5bc53a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 089081dca4ba3598c6f9bf401c029378943b5854
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 25 10:18:33 2013 -0700

    Also reject requests to allocate negative sized amounts of memory
    
    Since the API is defined with size as a signed int, deal with it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2da1bcb656febdab9345f1fec31c974fd7b409bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 24 23:19:23 2013 -0700

    Ensure ARRAYofARRAY8 pointers are initialized to NULL
    
    Use calloc for the array of pointers to ensure pointers are cleared out
    so we don't try to free garbage if XdmcpDisposeARRAYofARRAY8 is called
    before the caller sets them to valid pointers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 787c4c79be18373f58aeaf2fe543f30fe3af2bd1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 24 22:58:41 2013 -0700

    Ensure ARRAY* structs are zero'ed out when oversize values are passed
    
    Previous fix missed a case in which we returned failure, but didn't
    fill in the data pointer & size values.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9089ae455f9df222aa85bbbcb4526874c0d97099
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 24 22:24:55 2013 -0700

    Add unit tests for Array allocation functions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66514a4af7eaa47e8718434356d7efce95e570cf
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Aug 4 10:42:57 2013 +0200

    Use arc4random when available to produce the XDM-AUTHENTICATION1 key
    
    arc4random() and associated functions can be found in libbsd on
    GNU/Linux systems.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b443c1b769b9c9a3b45b4252afe07e18b709ff4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 15:16:51 2013 -0700

    Make XdmcpCopyARRAY8 call XdmcpAllocARRAY8 instead of replicating it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1222f974442f3d419664be4faca576f5f1457666
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Apr 2 00:07:54 2013 -0700

    Ensure ARRAY* structs are zero'ed out when allocation fails
    
    In the past some callers forgot to either initialize themselves or to
    check the return values, so could try to read or write to uninitialized
    pointers - we set the pointer to NULL & the size to 0 to avoid that.
    
    Reported-by: Ilja Van Sprundel <ivansprundel@ioactive.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ca65a92405500393f09d34388edbbf6350e6c146
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 26 23:39:58 2012 -0800

    Remove unused TLI ("STREAMSCONN") code from libXdmcp
    
    Has never been converted to build in modular builds, so has been unusable
    since X11R7.0 release in 2005.  All known platforms with TLI/XTI support
    that X11R7 & later releases run on also have (and mostly prefer) BSD
    socket support for their networking API.
    
    Mostly performed via "unifdef -USTREAMSCONN", followed by manual cleanup.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 60aa228de59270fd1b6d838d80095ac00da53342
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 19:46:26 2012 -0800

    libXdmcp 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3151f53f0149cd30266474faf8384b93070b8a6
Author: Matt Dew <marcoz@osource.org>
Date:   Wed Jan 11 21:44:51 2012 -0700

    informaltable cleanup
    
    On certain tables, add top and bottom borders to table
    header and a bottom border to the table. This matches
    what those tables in the old pdfs looked like.
    
    the <?dbfo keep-together='always'> prevents tables from
    splitting across pages. Useful for tiny tables.
    
    Converting the colwidth to a floating point,
    IE, 1* -> 1.0* cleans up these build errors:
    WARNING: table-layout="fixed" and column-width unspecified
    => falling back to proportional-column-width(1)
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit e2bc94bbeeae5f0482c2c59556c9a3fb421573d2
Author: Matt Dew <marcoz@osource.org>
Date:   Tue Oct 4 22:17:41 2011 -0600

    Cleanup IDs and links in doc
    
    1 - fix the capitalization of the ID attributes to match either the
         <title> or <funcdef> string it goes with.
    2 - fix any <linkend>'s that were affected by 1.
    3 - any <function> in the docs that has an actual funcdef,
    will become an olink.
    
    Signed-off-by: Matt Dew <marcoz@osource.org>

commit 896fc25047c6cf372babfaf09ce128754ee00123
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:16:37 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de9cdb570fa19058e4bdf16e592f0ac7a692b7e2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 15 20:50:30 2011 -0400

    xdmcp: use appropriate markup for author affiliation
    
    Docbook places the organization name above its divisions.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d3bc4e5d2abeb2202066a50dda8f65dd45005f58
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 12 10:58:16 2011 -0400

    docs: use the &fullrelvers; entity to set X11 release information
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d918365a388486a1bacd982fa0293b345407025a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 11 19:49:53 2011 -0400

    docs: remove <productnumber> which is not used by default
    
    This element is not rendered by default on the title. A template
    customization is required to display it.
    X Window System does not have a product number.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a9b82d7972d225df1a5bf24eb85e109f707113ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Sep 8 20:00:00 2011 -0400

    docbook.am: embed css styles inside the HTML HEAD element
    
    Rather than referring to the external xorg.css stylesheet, embed the content
    of the file in the html output produced. This is accomplished by using
    version 1.10 of xorg-xhtml.xsl.
    
    This makes the whole html docs tree much more relocatable.
    In addition, it eliminates xorg.css as a runtime file which makes
    xorg-sgml-doctools a build time only package.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 35ce7db29079636cfa138914ccaa4d951eaff0af
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Sep 7 10:31:04 2011 -0400

    docbook.am: global maintenance update - entities, images and olinking
    
    Adding support in libX11 for html chunking caused a reorg of docbook.am
    as well as the xorg-sgml-doctools masterdb for olinking.
    The parameter img.src.path is added for pdf images.
    A searchpath to the root builddir is added for local entities, if present.
    
    The docbook.am makefile hides all the details and is identical for
    all 22 modules having DocBook documentation. It is included by a thin
    Makefile.am which requires no docbook knowledge.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e93e80c3bb4c4fcd71d7671d23949232e7cf9581
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 12 18:39:45 2011 -0400

    Install xml versions of specs even if HAVE_XMLTO is false
    
    DocBook/XML input source is also a usefull output format that can be viewed
    with an XML viewer or editor and by some O/S help system.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 32b2263deae34c9c1d83eea3b37c2a43ca256a5f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 5 16:27:36 2011 -0400

    Install target dbs alongside generated documents
    
    This matches a change in xorg-sgml-docs whereby the masterdb will look for
    the target dbs into the same location as the generated documents.
    
    The target dbs are now installed alongside the generated documents.
    Previously they are installed in $prefix/sgml/X11/dbs alongside masterdb which
    has the potential of installing outside the package prefix and cause
    distcheck to fail when user does not have write permission in this package.
    
    Requires XORG_CHECK_SGML_DOCTOOLS(1.8) which was released 2011-06-11

commit 92bca84bf0d6bc7a5d858b9d356928b2856a53d5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Feb 27 15:06:18 2011 -0500

    Documentation: add Docbook external references support
    
    When writing technical documentation, it is often necessary to cross
    reference to other information. When that other information is not in the
    current document, additional support is needed, namely <olink>.
    
    A new feature with version 1.7 of xorg-sgml-doctools adds references to
    other documents within or outside this package.
    
    This patch adds technical support for this feature but does not change
    the content of the documentation as seen by the end user.
    
    Each book or article must generate a database containing the href
    of sections that can be referred to from another document. This database
    is installed in DATAROOTDIR/sgml/X11/dbs. There is a requirement that
    the value of DATAROOTDIR for xorg-sgml-doctools and for the package
    documentation is the same. This forms a virtual document tree.
    
    This database is consulted by other documents while they are being generated
    in order to fulfill the missing information for linking.
    Refer to the xorg-sgml-doctools for further technical information.
    
    Co-authored-by: Matt Dew <marcoz@osource.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c702d3c41ae28dcc661fca7d8d8d7ca8ce34ef1f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:41 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Use AC_PROG_LIBTOOL to replace the deprecated AM_PROG_LIBTOOL
    Remove redundant AC_PROG_MAKE_SET included with AM_INIT_AUTOMAKE
    Add AC_CONFIG_SRCDIR([Makefile.am]) where missing
    No functional configuration changes
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1540933e6eaa78a96b035ec5936e63e3cdd335b2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 28d1dc68440e07b44a8b97eab9a57bd6ae1557ee
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Dec 20 14:12:39 2010 +0100

    Revert "Export only public API symbols"
    
    Some of the unexported symbols are used by xdm.  See
    http://lists.x.org/pipermail/xorg-devel/2010-December/017246.html
    
    This reverts commit b64cac63e0bcdd87bbfd19678552fd7ed1a3b58f.
    
    Reported-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit afcb06588e5cc032372c847657fc7883e8f68c59
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 16 19:16:01 2010 -0800

    spec: Fix up eqn to docbook conversion
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d3dd1513b09ea31a85a404473c2f871c507e34f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 16 17:55:30 2010 -0800

    spec: Fix section titles/nesting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b64cac63e0bcdd87bbfd19678552fd7ed1a3b58f
Author: Cristian Rodríguez  <cristian.rodriguez@opensuse.org>
Date:   Tue Dec 14 15:40:20 2010 -0500

    Export only public API symbols
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Cristian Rodríguez <cristian.rodriguez@opensuse.org>

commit fb32c2fc1548cc13bed1643b950130629a9d8197
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 13:04:46 2010 -0500

    config: HTML file generation: use the installed copy of xorg.css
    
    Currenlty the xorg.css file is copied in each location
    where a DocBook/XML file resides. This produces about
    70 copies in the $(docdir) install tree.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7db29ff43eb3cdcbfe77c35ecc78c7ca3ddba595
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 15:13:16 2010 -0700

    libXdmcp 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fef4451fa3c55dcf81e7eee7ca001c57e301a150
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 23:01:49 2010 -0700

    Remove AC_PROG_CC & AC_PROG_INSTALL that XORG_DEFAULT_OPTIONS already call
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21c9f93bb5200dda0bfdd05b928c19829f23d646
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 3 15:28:51 2010 -0400

    config: require xorg-macros minimum of 1.10 for XORG_CHECK_SGML_DOCTOOLS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit adaf75c9aac6ca77b26379cc5e451728d9f1a78b
Author: Matt Dew <matt@osource.org>
Date:   Sun Aug 1 14:23:18 2010 -0400

    specs: replace troff source with docbook-xml source
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 39993ef6f48cb3f9ee0cb0cd4dcef0d643cda698
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 7 19:21:42 2010 -0700

    Replace comments pointing to non-public X Consortium defect reports
    
    Restored the original comments suggested by Paul Shearer of Sequent in the
    patches he submitted with these fixes in the original X Consortium defect
    reports from 1995, since modern readers can't refer to the referenced
    bug reports in that old/closed bug db.
    
    7328 Xdmcp: memory leak in XdmcpReadARRAYofARRAY8 when read fails
    7329 Xdmcp: XdmcpReadARRAY and XdmcpDisposeARRAY routines may free twice
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea0e0d0e3d45eb5e71542af835194514a6f8801c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 7 19:03:54 2010 -0700

    Fix order of CPPFLAGS passed to lint/compile steps
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 996d92d2710f9dc740351f4d9cbe14af64569689
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Fri May 7 20:22:20 2010 +0000

    Get rid of Xalloc/Xrealloc/Xfree from X server or Xlib
    
    alloc/realloc/free calls are encapsulated in libXdmcp, so
    there is no need to wrap allocation functions even under Windows
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a51e57425e1b4062a459a19b1860c9c9721d9ea
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Fri May 7 20:06:52 2010 +0000

    Nuke RCS tags
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 710d4a4298772cf06c22cce336622b33487b8b44
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Fri May 7 20:03:46 2010 +0000

    Reshuffle functions to decrease amount of boilerplate
    
    It it a PitA to do anything with lot of nearly idenical code scattered
    around in 30 files each containing 5-line function
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b22d07fc1268e7c5343cccd562ab69a101baf91
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 6 15:38:01 2010 -0700

    Use stdint.h instead of limits.h for UINT*_MAX definitions
    
    While Solaris allows either one, C99 only requires them in stdint.h
    and some platforms don't include them via limits.h
    
    Corrects tinderbox reported errors on Fedora 11 build machine:
    
    http://tinderbox.x.org/builds/2010-05-06-0019/logs/libXdmcp/#build
    
    AA32.c: In function 'XdmcpAllocARRAY32':
    AA32.c:47: error: 'UINT8_MAX' undeclared (first use in this function)
    
    AA8.c: In function 'XdmcpAllocARRAY8':
    AA8.c:47: error: 'UINT16_MAX' undeclared (first use in this function)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    
    Compiles clean on GNU/Linux AMD64
    Tested-by: Gaetan Nadon <memsize@videotron.ca>

commit 30e388a8284ed100893983178acb6b4e3ff2b815
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 29 20:19:38 2010 -0700

    Deal with lint warnings about implicit narrowing conversions
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 110078a137915f486a13e0445ee9ba5e1558c081
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 29 19:57:46 2010 -0700

    unifdef Lynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 5ea80e308026357aeee8b56230e85cb4d2e87631
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 29 19:56:37 2010 -0700

    XdmcpARRAY8Equal: Use memcmp instead of rolling our own
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 27b1aa82a3f0db7d20a303ba093d1ec52de39bff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 29 19:51:25 2010 -0700

    Constify function prototypes
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 482b19329fac5e311fe0423e58f3e8c573b66114
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c220fc14083ed8e1214329138d6ca548dad6dcc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7367f2efae9561d87cabaa6e1740355b0aeda86f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 20 11:22:59 2010 -0400

    make: remove unrequired -I${top_builddir}/include
    
    The -I${top_srcdir}/include in AM_CFLAGS is the correct one.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2110b60cf122a624011ade8883af07b88bb2c2bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7c1d4d862240a0b01eefbccf6b85e7a365e60ada
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:04 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 3c0e64988dad80afe5633c62c29ab3d1c54d2d23
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit a4a69387d7d0783326fbbd2b7b202498325d5f96
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 748ea77263a40080e665adc742a7a9791b4293c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 1ac333abaae4940467d2101d1080be9e46d90c78
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c362c31e583215855458bc5cbb9ed1020157b1ad
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 16:28:37 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit d0f3336872147e925666aaf73b6c0c11aedc63c3
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:24 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 3a7e0bb1cec5975e9fcbddc6569e7ac1aea550e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 28 15:32:31 2009 +1000

    libXdmcp 1.0.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8ba417e3f3915102f99e08b15e1543680120102d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 23 21:59:12 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d992d9dd3af95132ca76f0479d08d3479b899a95
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:33 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 49336f1b6fa5d8dc8a9ae3e8d286b061f0d2914c
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Jan 9 16:34:13 2009 -0200

    Ansification and compile warning fixes.
    
      Code that already have a header with the proper prototype is safe
    to ansify.
      This uses XORG_CHANGELOG macro to properly work with the "git-log"
    to "git log" change (required to pass "make distcheck"), uses the
    XORG_CWARNFLAGS macro, and doesn't generate any compile warnings from
    gcc 4.3 and sparse.

commit 498cce64f12de67271316417de821460e8eee066
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Nov 26 23:45:09 2008 -0200

    Mark Xalloc, Xrealloc, and Xfree as weak symbols.
    
    Maybe a _X_WEAK macro could be added to <X11/Xfuncproto.h>, but that
    could actually encourage use of __attribute__((weak)), what is not
    intended.
    This change uses the same semantics used in libXfont to declare
    weak symbols that are overridden by the ones defined in the X Server.

commit f876004608f8a4737f66e1fc0e83ff7e7d6d150b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 11 14:43:15 2006 -0700

    Version bump -> 1.0.2

commit 55f64a8a29094905b9f49be95ee576de4a2e1a46
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 11 14:41:42 2006 -0700

    Require xorg-macros 1.1.0 or later for XORG_WITH_LINT & XORG_LINT_LIBRARY macros

commit ae43ecfcb85ad238b2a513d3caf400028b951019
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 11 14:26:26 2006 -0700

    Add lint library to CLEANFILES

commit a106f489a69246f24535acd8bdac96e273df7334
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 11 14:22:42 2006 -0700

    Replace static ChangeLog with dist-hook to generate from git-log

commit 644ff9232d48a32dcc16a1eeba2b51c8686eb33e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 10 15:58:18 2006 -0700

    Use AC_CHECK_FUNCS instead of #ifdef SYSV to check for srand48 & lrand48

commit 048d2bb6b48dce7b2afea39cd429f3253d8e77ca
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 10 15:43:31 2006 -0700

    Add *~ to .gitignore to ignore emacs droppings

commit 1f3fadd3a0f8226fb19f94d6a6344e144e031bba
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 18:01:01 2006 -0700

    Add lint checking & library targets

commit 0b7f0333fe6384598e78f6e0dc61dfbf3636c1c8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 17:52:46 2006 -0700

    Fix sparse warnings for using 0 instead of NULL
    
    RA8.c:50:17: warning: Using plain integer as NULL pointer
    RA16.c:50:16: warning: Using plain integer as NULL pointer
    RA32.c:50:16: warning: Using plain integer as NULL pointer
    RAofA8.c:50:16: warning: Using plain integer as NULL pointer

commit bfcde07215512ea5153700bc57ef8baa8d3e9ef2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:52 2006 -0700

    renamed: .cvsignore -> .gitignore

commit f204a3d32500eb8c6ec7a694a21440fc330ab834
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Apr 27 00:07:09 2006 +0000

    Bump to 1.0.1

commit b7de07f180407a1597ee74cc570311d7eb808637
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Mar 20 19:51:32 2006 +0000

    Bug #6243: Fix build on Cygwin, and when srcdir != objdir. (Yaakov
        Selkowitz)

commit aaee3f658482018c622d8cbb926bbfa14df64eea
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jan 12 23:36:41 2006 +0000

    static -> static const

commit 9f8e330eff571cc0c525fd42c4ef8a34cac2eb0d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:29 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 9cd3a3746077c2d6a8fcf2c2c125237d9207e2fb
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit da0e8c8bbdfe6cef0225960b204eb9878897cb9b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:41 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit cbd6a80c320d7d02ca3bb6d1ca036c0eff27d2c3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:09 2005 +0000

    Update package version number for RC1 release.

commit 0609d6f55136698cb7120b62244d44423e6f0945
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 5 19:24:07 2005 +0000

    Add missing files to EXTRA_DIST

commit b0c00126bad965f526ef13fa041248e8379a4a53
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 07:44:09 2005 +0000

    Add missing library dependencies: Xdmcp: -lsocket (if needed for recvfrom,
        such as on Solaris) lbxutil: -lz xkbui: -lm

commit 19ca07e4c538a6f8b46b3bbcdacd39afc1fdede0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:51 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 7242946c1cac1ecb97ea0cc312a8ea08707ca945
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:41:57 2005 +0000

    Use -version-number instead of -version-info.

commit ce57d6479026168ab4839dc8d93f8c13c7ee6356
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jul 14 15:12:44 2005 +0000

    typo fixes (Matthieu Herrb)

commit d5c88f476d6d263b9e80640c1acd3ec784c7184b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 06:15:32 2005 +0000

    Add .cvsignore files Switch _la_CFLAGS for AM_CFLAGS to clean up directory

commit 1df326ab00b3ca1faf44d81ce53f6b66076ad0cf
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 77283d94174d18791e230b4800641242c1767e87
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:22:32 2005 +0000

    revert last change, didn't do right thing at all, sorry for the noise

commit daefb98f4437af90dcff3853ec23b8a1f0864018
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu May 19 00:10:07 2005 +0000

    Require automake 1.7 in AM_INIT_AUTOMAKE

commit 2f31285482451b8ed44b0b61969a7f324dbe905a
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue May 17 14:43:47 2005 +0000

    Tue May 17 10:38:30 2005 Søren Sandmann <sandmann@redhat.com>
    Remove Xdmcpconf.h and references to it, since it is not needed.
    Delete entries from the xlibs tree since they are not relevant

commit 83b3f8f9fcb08348d28dbdb19e07a2c41b9f8bf2
Author: Josh Triplett <josh@speakeasy.net>
Date:   Sat May 14 08:03:04 2005 +0000

    Add Xdmcpconf.h.in from xlibs tree.

commit ceec4744a2906539154007edf1ec3b865fef1991
Author: Josh Triplett <josh@speakeasy.net>
Date:   Sat May 14 07:58:43 2005 +0000

    Add configure.ac for Xdmcp from xlibs tree.

commit d5d1fb73e5c8c0b2a5b2704ec6b8394fc8a425b4
Author: Josh Triplett <josh@speakeasy.net>
Date:   Sat May 14 07:46:48 2005 +0000

    Move includes in Xau and Xdmcp into include/X11 subdirectories so that the
        source can reference them with <X11/...>.

commit 0ea8a9fde966a2fbdc075e4cfc47235d3c899022
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Thu May 12 16:27:25 2005 +0000

    Thu May 12 12:24:16 2005 Søren Sandmann <sandmann@redhat.com>
    Conditionally include config.h
    add Makefile.am

commit 845dff36906d99a80ea920a8d0efb73bd0b88d56
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Thu May 12 16:12:34 2005 +0000

    Make xtrans install in $(includedir)/X11/Xtrans. Remove all references to
        Xtransdef.
    Add Xdmcp build files
    Add Wrap.h to lib/dmcp part of symlink script.

commit 2e5c59efc9df61d84f81af0f9a100672d096bac6
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Mon Nov 15 15:06:55 2004 +0000

    Bufzilla #1802, http://freedesktop.org/bugzilla/show_bug.cgi?id=1802 Added
        mingw (Win32) port

commit 5cd56c90f05d05c19c484f606b70d17873b507b5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 24 18:33:32 2004 +0000

    Replace 'uint32_t' with 'CARD32' and 'uint8_t' with 'CARD8'. Add #include
        <X11/Xmd.h>
    reviewed by: Stuart Kreitman <Stuart.Kreitman@Sun.COM>

commit 874e5e8b17f111f07c2c4e9167b4940365cc1421
Author: Stuart Kreitman <stuart.kreitman@sun.com>
Date:   Mon Aug 23 17:06:37 2004 +0000

    Modified Files: Wraphelp.c
    Coding standard recommended by C99 standards body:
    http://www.oreillynet.com/pub/a/network/2003/10/07/michael_barr.html

commit 7acd9ecff911e900deb03767f283d59fc90f550c
Author: Jim Gettys <jg@freedesktop.org>
Date:   Sun Aug 22 01:02:25 2004 +0000

    Matthieu Herrb <matthieu.herrb@laas.fr> points out:
    Hmm, this version doesn't work on LP64 big endian machines (like
    *BSD/sparc64). The problems were fixed in OpenBSD. May I suggest to switch
        to this version (it's the same origin, with the LP64 problems fixed):
        <http://www.openbsd.org/cgi-bin/cvsweb.cgi/XF4/xc/lib/Xdmcp/Wraphelp.c>

commit faf433b79417ef801ed3c62fdf9bbc8edf1b6ba3
Author: Jim Gettys <jg@freedesktop.org>
Date:   Sat Aug 21 02:06:44 2004 +0000

    Add Wraphelp.c to lib/Xdmcp, at long last, along with the U.S. government
        required notifications. The website notification went up first.
    Clean up Wraphelp.c so that it compiles cleanly.
    I chose the version Australian version written for R5 written by Eric
        Eay@psych.psy.uq.oz.au, as I don't know where the original one was, and
        didn't want to touch XFree86.
    Make HasXdmAuth YES for xorg.

commit 4a01be711a72d99e054a83e9a00a27b2fc420601
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Aug 7 19:22:01 2004 +0000

    Check to see if array->data is NULL before we dereference it, instead of
        after. (Prevents segfault when array->data is initialized to NULL, but
        array->length is not set to 0.)
    Always initialize both data & length in ARRAYs.

commit 54c91c33da46e67a4efce0dd43def29c65677ed4
Author: Egbert Eich <eich@suse.de>
Date:   Tue Jul 6 14:37:47 2004 +0000

    Separated Intel drivers from default DriDrivers to avoid building them on
        IA64 (Egbert Eich).
    Fixed wrong function prototype (Egbert Eich).
    Don't test for generic VGA on IA64 (Egbert Eich).
    Fixed a segfault when accessing a structure before verifying the pointer
        exists (Egbert Eich).
    Added a showcache option for debugging (Egbert Eich).
    Increase default video RAM size to 16MB when DRI is enabled and more than
        128MB are available (Egbert Eich). Fixed lockups during mode switch.
        Problem was introduced when attempting to copy the behavior during
        LeaveVT()/EnterVT() but but forgetting to call I810DRILeave() before
        I810DRIEnter(). The entire DRILeave()/Enter() scenario has been
        commented out as it didn't seem to be necessary (Egbert Eich).
    Fix TweakMemorySize() (tested with i855/i865) (Egbert Eich).
    increased MAX_DEVICES to 128 (Egbert Eich).
    Use OS provided PCI config space access as default method (Egbert Eich).
    Added support for Linux 2.6 proc file format.
    Fixed unaligned accesses to pieces of the VBE info block. VESA did not
        align elements to size (Egbert Eich).

commit 11ce0b3adae5dac23d95fae62570d0a7e872055f
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:43:41 2004 +0000

    Merging XORG-CURRENT into trunk

commit d1291a78bebace4d4ccef4b552bbfd145961ee44
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:05 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit ca6d962126b1d876851293d9c0a407ff733b5558
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:28 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 3132e3a51c671fc95ee2b88802ae30abcb177320
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:33 2004 +0000

    readding XFree86's cvs IDs

commit 47d1195510762af8efce38806dc75adc0bdc09cc
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:42 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 8ecf5d371806b603b64f257e4caa1d9cbc19556d
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:35 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit 9cfba0fa56ff1ebae9aaccf1e63049759dbd37f5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Thu Dec 4 22:02:56 2003 +0000

    XFree86 4.3.99.901 (RC 1)

commit c95e0de1641abf24792dcafc5a98a95986183f53
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:28:09 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 0200b5d9bb6a599aefbb05a2217e243ea0da387b
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:48 2003 +0000

    XFree86 4.3.0.1

commit d1eb0ee78fbb0c109f9fa8e1bc05907608fc4299
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:38 2003 +0000

    R6.6 is the Xorg base-line
